org.apache.ivy.osgi.filter

## Class MultiOperatorFilter

- java.lang.Object
- - org.apache.ivy.osgi.filter.OSGiFilter
  - - org.apache.ivy.osgi.filter.MultiOperatorFilter

Direct Known Subclasses:
  AndFilter, OrFilter

    public abstract class MultiOperatorFilter
    extends OSGiFilter

### Constructor Summary

Constructors
Constructor and Description
`MultiOperatorFilter()`
`MultiOperatorFilter(OSGiFilter[] filters)`

### Method Summary

Methods
`void` `add(OSGiFilter subFilter2)`
`void` `append(java.lang.StringBuffer builder)`
`boolean` `equals(java.lang.Object obj)`
`java.util.List<OSGiFilter>` `getSubFilters()`
`int` `hashCode()`
`protected abstract char` `operator()`

### Methods inherited from class org.apache.ivy.osgi.filter.OSGiFilter

`eval, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MultiOperatorFilter

    public MultiOperatorFilter()

#### MultiOperatorFilter

    public MultiOperatorFilter(OSGiFilter[] filters)

### Method Detail

#### operator

    protected abstract char operator()

#### append

    public void append(java.lang.StringBuffer builder)

Specified by:
  `append` in class `OSGiFilter`

#### add

    public void add(OSGiFilter subFilter2)

#### getSubFilters

    public java.util.List<OSGiFilter> getSubFilters()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`